API: Advertisers
In this page
The Advertiser object
An Advertiser represents an advertising entity that can be associated with ad campaigns on Spreaker.
An advertiser has several properties. Each API can return an Advertiser model in its entirety or with just a subset. All properties are listed here:
| Property | Type | Description |
|---|---|---|
advertiser_id |
Numeric | Unique advertiser identifier |
name |
String | Advertiser name |
team_id |
Numeric | ID of the team this advertiser belongs to |
iab_categories |
String | IAB content category code (e.g. IAB22-11) |
created_at |
String | Date and time the advertiser was created |
updated_at |
String | Date and time the advertiser was last updated |
synched |
Boolean | true if the advertiser has been synched with the ad server, false otherwise |
Many of the resources on the advertiser APIs are related to a single advertiser. If a request URL includes ADVERTISER-ID it refers to the numeric Advertiser ID.
Retrieving the Advertiser List
GET /v2/advertisersAuthenticated: yes
This API returns a paginated list of Advertisers.
Example
curl -H "Authorization: Bearer OAUTH-TOKEN" https://api.spreaker.com/v2/advertisersThe response body is a paginated list of Advertisers.
{
"response": {
"items": [
{
"advertiser_id": 4894,
"name": "The Great Advertiser",
"team_id": 59,
"iab_categories": "IAB24",
"created_at": "2026-04-02 16:32:30",
"updated_at": "2026-04-02 16:32:30",
"synched": true
}
],
"next_url": "https://api.spreaker.com/v2/advertisers?offset=1&limit=1",
"prev_url": null
}
}Retrieving a Single Advertiser
GET /v2/advertisers/ADVERTISER-IDAuthenticated: yes
Example
curl -H "Authorization: Bearer OAUTH-TOKEN" https://api.spreaker.com/v2/advertisers/4978The response body is a JSON object containing all the advertiser fields.
{
"response": {
"advertiser": {
"advertiser_id": 4978,
"name": "Another Advertiser",
"team_id": 59,
"iab_categories": "IAB22-11",
"created_at": "2026-05-25 09:22:45",
"updated_at": "2026-05-25 09:22:45",
"synched": true
}
}
}Creating an Advertiser
POST /v2/advertisersAuthenticated: yes
| Parameter | Type | Description |
|---|---|---|
name |
String | Advertiser name |
iab_categories |
String | IAB content category code (e.g. IAB22-11) |
Example
curl -X POST -H "Authorization: Bearer OAUTH-TOKEN" -F "name=Another Advertiser" -F "iab_categories=IAB22-11" https://api.spreaker.com/v2/advertisersThe response body is a JSON object containing all the advertiser fields. Note that synched will be false for a newly created advertiser until it is synched with the ad server.
{
"response": {
"advertiser": {
"advertiser_id": 4978,
"name": "Another Advertiser",
"team_id": 59,
"iab_categories": "IAB22-11",
"created_at": "2026-05-25 09:22:45",
"updated_at": "2026-05-25 09:22:45",
"synched": false
}
}
}Updating an Advertiser
PUT /v2/advertisers/ADVERTISER-IDAuthenticated: yes
The API PUT /v2/advertisers/ADVERTISER-ID supports these parameters, none of which are required, as you should specify only the ones you want to update:
| Parameter | Type | Description |
|---|---|---|
name |
String | Advertiser name |
iab_categories |
String | IAB content category code (e.g. IAB22-11) |
Example
curl -X PUT -H "Authorization: Bearer OAUTH-TOKEN" \
--data-urlencode "name=Another Advertiser Edited" \
--data-urlencode "iab_categories=IAB22-9" \
https://api.spreaker.com/v2/advertisers/4978The response body is a JSON object containing all the updated advertiser fields.
{
"response": {
"advertiser": {
"advertiser_id": 4978,
"name": "Another Advertiser Edited",
"team_id": 59,
"iab_categories": "IAB22-9",
"created_at": "2026-05-25 09:22:45",
"updated_at": "2026-05-25 09:27:49",
"synched": false
}
}
}Deleting an Advertiser
DELETE /v2/advertisers/ADVERTISER-IDAuthenticated: yes
Example
curl -X DELETE -H "Authorization: Bearer OAUTH-TOKEN" https://api.spreaker.com/v2/advertisers/4978The response body is an empty object.
{ "response": [] }